<?php
// Define a callback function to do the work
function MyFirstJob(GearmanJob $job)
{
	// Output the workload
	echo $job->workload();

	// Send back a complete status
	$job->sendComplete("All Done!");

	exit;
}

// Create a GearmanWorker instance
$worker = new GearmanWorker();

// Connect to the gearman job server
$worker->addServer();

// Register the callback function for the job
$worker->addFunction('MyFirstJob', 'MyFirstJob');

// Wait for jobs to come in, and process them
while ($worker->work());
?>