<?php
// Status callback
function workerStatus(GearmanTask $task)
{
	echo "Status: "
	.$task->taskNumerator()
	.'/'
	.$task->taskDenominator()
	. PHP_EOL;
}

// Completion callback
function workerComplete(GearmanTask $task)
{
	echo $task->data() . PHP_EOL;
}

$client = new GearmanClient();
$client->addServer(); // Defaults to localhost:4730

// Set callbacks
$client->setStatusCallback('workerStatus');
$client->setCompleteCallback('workerComplete');

// Add the task
$client->addTask('MyFirstJob', 'Hello World');

// Send the tasks to the job server
$client->runTasks();
?>