<?php
// Define a callback function to do the work
function MyFirstJob(GearmanJob $job)
{
	// Output the workload
	$workload = $job->workload();
	$len = strlen($workload);
	for ($i = 0; $i < $len; $i++) {
		// Send the status to the job server
		$job->sendStatus($i+1, $len);
		echo $workload{$i};
		sleep(1);
	}
	
	// Send back a complete status
	$job->sendComplete("All Done!");
}

// Create a GearmanWorker instance
$worker = new GearmanWorker();

// Connect to the gearman job server
$worker->addServer();

// Register the callback function for the job
$worker->addFunction('MyFirstJob', 'MyFirstJob');

// Wait for jobs to come in, and process them
while ($worker->work());
?>